#!/bin/bash

echo "install babel and re6stnet"

# detect version 
KERN=$(uname -m)

#dependance
zypper install python-pyOpenSSL

wget http://git.erp5.org/dist/rpm/$KERN/python-miniupnpc-1.7-89.g0c0129d.$KERN.rpm
wget http://git.erp5.org/dist/rpm/$KERN/babeld-1.3.3-17.ge097312.$KERN.rpm
wget http://git.erp5.org/dist/rpm/noarch/re6stnet-0-281.gb395299.noarch.rpm

rpm -iv python-miniupnpc-1.7-89.g0c0129d.$KERN.rpm
rpm -iv babeld-1.3.3-17.ge097312.$KERN.rpm
rpm -iv re6stnet-0-281.gb395299.noarch.rpm

echo "file creation in re6stnet /etc/"
FILE=/etc/re6stnet
if [ -e $FILE ]; then
	echo "the file exists"
else
	echo "the file was created"
	mkdir /etc/re6stnet
	echo "done"
fi

echo "sign in anonymous"
FILE=/etc/re6stnet/ca.crt
if [ -e $FILE ]; then
        echo "the file already exists"
else
        cd /etc/re6stnet
        re6st-conf --registry http://re6stnet.nexedi.com/ --anonymous -r title  "test : SlapOS Node" -d /etc/re6stnet/
        echo 'recording made'
fi

echo "write config file re6stnet.conf"
FILE=/etc/re6stnet/re6stnet.conf
if [ -e $FILE ]; then
        echo "file exists"
        echo "table 0" >> /etc/re6stnet/re6stnet.conf
else
        echo "registry http://re6stnet.nexedi.com/
ca ca.crt
cert cert.crt
key cert.key
dh dh2048.pem
table 0
ovpnlog
verbose 1
O--verb
O1" >> /etc/re6stnet/re6stnet.conf
        echo "the file created"
fi

echo "systemed enable and starting service"
systemctl --system daemon-reload
systemctl enable re6stnet.service
systemctl start re6stnet.service

echo "sleep 60"
sleep 60
echo "ping6 start go, option -c5"
ping6 -c 5 google.com 

exit
